tt_message_arg_type(library call)

NAME
tt_message_arg_type — retrieve the type of a message argument

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_message_arg_type(
Tt_message m,
int n);

DESCRIPTION

The tt_message_arg_type function retrieves the type of the nth message argument.

The m argument is the opaque handle for the message involved in this operation. The n argument is the number of the argument to be retrieved. The first argument is numbered zero.

RETURN VALUE

Upon successful completion, the tt_message_arg_type function returns the type of the nth message argument. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The application can use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).